# Gimp.is_canonical_identifier

    @accepts(unicode)
    @returns(bool)
    def is_canonical_identifier(identifier):
        # Python wrapper for gimp_is_canonical_identifier()

Checks if identifier is canonical and non-None.

Canonical identifiers are e.g. expected by the PDB for procedure and parameter names. Every character of the input string must be either '-', 'a-z', 'A-Z' or '0-9'.

Since 3.0

identifier

  The identifier string to check.

Returns